<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://unpkg.com/htmx.org@1.9.11" integrity="sha384-0gxUXCCR8yv9FM2b+U3FDbsKthCI66oH5IA9fHppQq9DDMHuMauqq1ZHBpJxQ0J0" crossorigin="anonymous"></script>
    <title>Shrt</title>
</head>
<style>
    body {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 100vh;
        background-color: #f8f9fa;
    }
    form {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    input {
        margin: 10px 0;
        padding: 10px;
        border-radius: 5px;
        border: 1px solid #ced4da;
    }
    button {
        padding: 10px;
        border-radius: 5px;
        border: 1px solid #ced4da;
        background-color: #007bff;
        color: white;
        cursor: pointer;
    }
    button:hover {
        background-color: #0056b3;
    }
    #shortenedUrl {
        margin-top: 20px;
    }
    #shortenedUrl span {
        margin-left: 10px;
    }
    
</style>
<body>
    <form id="linkForm" hx-post="/shorten">
        <label for="url">Enter URL:</label>
        <input type="url" id="url" name="url" required>
        <button type="submit">Shorten</button>
    </form>
    <div id="shortenedUrl" hx-get="/shortenedUrl" hx-trigger="load" hx-swap="afterend"><span hx-swap="afterend"></span></div>

</body>
</html>